#include <termios.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>

class Cgiu {

private:
  struct termios parameters; // device parameters
  int actTimeout; // time limit while reading from port
  void SetTimeout(int fd); 
  void SetTransferProperties(int fd, int baudrate, int parity); // baudrate and parity of serial device
  	
public:
 unsigned char *readBuffer; // ReadData function fills up this buffer 

 Cgiu(); // constructor
 ~Cgiu(); // destructor
 
 int Init(char* device); 
 int ReadData(int fd, int num);

};
